plasma-mobile (6.7.4-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not use dh-sequence-plasma yet.
    - Bump plasma build deps to current version.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Aug 2026 16:40:17 +0100

plasma-mobile (6.7.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.7.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Aug 2026 17:48:29 +0200

plasma-mobile (6.7.4-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.7.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Aug 2026 14:32:49 +0100

plasma-mobile (6.7.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.7.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jul 2026 15:50:01 +0100

plasma-mobile (6.7.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Force -DBUILD_TESTING=ON to avoid FTBFS with nocheck profile since
    we ship the testing tool binaries that are only produced with the
    flag set to ON.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 26 Jul 2026 00:14:28 +0200

plasma-mobile (6.7.2-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build with dh-sequence-plasma yet.
    - Build depend on current plasma versions.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Jul 2026 06:40:57 +0100

plasma-mobile (6.7.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.7.2).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jul 2026 17:56:02 +0200

plasma-mobile (6.7.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.7.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Jun 2026 22:05:37 +0100

plasma-mobile (6.7.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.7.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Jun 2026 19:40:19 +0100

plasma-mobile (6.7.0-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.7.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Jun 2026 10:01:08 +0100

plasma-mobile (6.6.91-0ubuntu1) stonking; urgency=medium

  * New upstream (beta) release (6.6.91)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 30 May 2026 19:56:40 +0100

plasma-mobile (6.6.5-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 13 May 2026 23:50:54 +0200

plasma-mobile (6.6.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 13 May 2026 10:09:21 +0200

plasma-mobile (6.6.5-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.6.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 13 May 2026 03:25:29 +0100

plasma-mobile (6.6.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.4).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.4, no change required.
  * Drop obsolete (build-)dependencies. (Closes: #1134804)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 26 Apr 2026 10:28:57 +0200

plasma-mobile (6.6.4-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release (6.6.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Apr 2026 13:10:35 +0100

plasma-mobile (6.6.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Apr 2026 09:00:33 +0200

plasma-mobile (6.6.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Update the list of installed files.
  * New upstream release (6.6.3).
  * Update build-deps and deps with the info from cmake.
  * Drop override for check removed from lintian.
  * Refresh copyright information.
  * Add alternative dependency to plasma-keyboard.
  * Use dh-sequence-plasma to inject common base version dependency into
    binary packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Mar 2026 23:56:59 +0100

plasma-mobile (6.6.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Mar 2026 14:44:04 +0000

plasma-mobile (6.6.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libplasma7.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Mar 2026 14:37:34 +0000

plasma-mobile (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:16 +0000

plasma-mobile (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update install files.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:01 +0000

plasma-mobile (6.5.5-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 13:00:22 +0000

plasma-mobile (6.5.5-0ubuntu3) resolute; urgency=medium

  * Demote maliit-keyboard to recommends.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 09:55:21 +0000

plasma-mobile (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:07:32 +0000

plasma-mobile (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:07:04 +0000

plasma-mobile (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 21:17:28 +0100

plasma-mobile (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:20:27 +0000

plasma-mobile (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:28:11 +0100

plasma-mobile (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:13 +0000

plasma-mobile (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:38:02 +0100

plasma-mobile (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:13:53 +0000

plasma-mobile (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:19:13 +0100

plasma-mobile (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:12 +0000

plasma-mobile (6.5.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 6.3.6-4.

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:09:51 +0200

plasma-mobile (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update build deps from cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:38:56 +0100

plasma-mobile (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Add myself to the uploaders.
  * Drop backported commits now part of the upstream release.
  * Update the list of installed files.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Oct 2025 22:48:34 +0200

plasma-mobile (6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 10:18:58 +0100

plasma-mobile (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:34 +0100

plasma-mobile (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on libdrm-dev
  * Build depend on libkpipewire-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:30:40 +0100

plasma-mobile (6.3.6-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

  [ Pino Toscano ]
  * Update plasma-mobile.install according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117364)
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 21:05:18 +0200

plasma-mobile (6.3.6-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * More fix incorrect backport of:
    - notification list: fix notification scrolling within action drawer and
    lockscreen. [e4323f4e]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Jul 2025 20:24:22 +0200

plasma-mobile (6.3.6-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Fix incorrect backport of:
    - notification list: fix notification scrolling within action drawer and
    lockscreen. [e4323f4e]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Jul 2025 08:34:48 +0200

plasma-mobile (6.3.6-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Envmanager: Use BorderlessMaximizedWindows option.
    - Shell: Fix Compact applet display popup when fullRepresentation is null.
    - Homescreens/folio: Block propagation if edit mode is active to avoid
    widget to trigger event.
    - Load minimized Quicksettings as Async.
    - Paginatemodel: Avoid to disconnect if model is the same because it's not
    reconnected after.
    - Fix mistake on paginatemodel.
    - Quicksettings: Use synchrone component loading instead of asynchrone to
    avoid concurrent bug.
    - Envmanager: Write options as immutable, and add kdeglobals.
    - Envmanager: Add overlay configs through XDG_CONFIG_DIRS.
    - Taskswitcher: Fix task close icon colour in light mode.
    - Folio: Ensure y anim signals don't get emitted if value didn't change.
    - Notifications: Fix do-not-disturb.
    - Notifications: Don't factor action drawer state in expiry.
    - Notifications: do not expire notificationa after invoking action.
  * Backport upstream commits:
    - bin: Don't force QT_QPA_PLATFORM=wayland so apps that prefer x11 can use
    it similar to what the desktop session does. [8b8c9585]
    - applicationlistmodel: Space out application list refreshes to avoid log
    spam and freezes. [7d9054f7]
    - Disables unexpected gesture navigation activating the task switcher when
    Action Drawer, Notification Popup Drawer, or VolumeOSD are visible
    [013d0345]
    - GestureNavigation: Fix Action Drawer State being out of Sync on First
    Start. [9707f503]
    - folio: Fix recurring AppDelegate null errors in the logs. [c5f0d15b]
    - notification list: fix notification scrolling within action drawer and
    lockscreen. [e4323f4e]
    - statusbar: Don't show internet icon and network loading indicator at
    same time. [23797660]
    - modem manager plugin: Make calls nonblocking to not freeze UI when
    called. [6e0dca97]
    - Folio: Fix Settings Component drawer bug where it can end up displayed
    at the same time as the application drawer. [a452bc30]
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.6 packages that have actual code changes.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Jul 2025 17:56:43 +0200

plasma-mobile (6.3.5-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Wallpaperselector: Fix delegate dimensions and icon color.
    - Taskpanel: Fix rotate button showing with autorotate.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 01:24:48 +0200

plasma-mobile (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:35:36 +0100

plasma-mobile (6.3.4-1) unstable; urgency=medium

  * New upstream release (6.3.4).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Add kde-config-mobile-networking to Replaces. (Closes: #1100380)
  * Add/update Jonathan Esk-Riddell’s key in upstream keyring.
  * Update d/plasma-mobile.install after upstream changes.
  * Fix d/copyright after lintian warnings.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 05 Apr 2025 20:54:41 +0200

plasma-mobile (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:57:51 +0100

plasma-mobile (6.3.3-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:33 -0500

plasma-mobile (6.3.3-0ubuntu2) plucky; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Mar 2025 14:59:57 +0000

plasma-mobile (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:23:31 +0000

plasma-mobile (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Recommend iio-sensor-proxy. (Closes: #1098304)
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 01 Mar 2025 21:50:50 +0100

plasma-mobile (6.3.0-1) unstable; urgency=medium

  * New upstream release (6.3.0).
  * d/watch: set pgpsigurlmangle option for uscan to check upstream signatures.
  * Update build-deps and deps with the info from cmake.

  [ Aurélien COUDERC ]
  * Review copyright information.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 15 Feb 2025 23:02:06 +0100

plasma-mobile (6.2.5-1) unstable; urgency=medium

  * New upstream release (6.2.5).
  * Change maintainer to the Qt/KDE Team.
  * Update Vcs-* URLs to the new location in the Qt/KDE team’s GitLab
    group.
  * Drop gbp.conf.
  * Simplify packaging by using dh-* build-deps.
  * Replaces+Breaks plasma-settings 24.02.0 (Closes: #1092569).
  * Update build-deps and deps with the info from cmake.

  [ Aurélien COUDERC ]
  * Remove upstream source from the packaging repo.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 11 Jan 2025 17:55:53 +0100

plasma-mobile (6.2.4-1) unstable; urgency=medium

  * New upstream release
  * Update d/control after upstream changes
  * Update d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 10 Dec 2024 21:56:10 +0100

plasma-mobile (6.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1035655)
  * Update d/control after upstream (Closes: #1079477, #1079559, #1079662)
  * Std-ver 4.7.0 (no changes needed)
  * Update d/rules for building based on KF6 instead of KF5
  * Update plasma-mobile-tweaks after upstream changes
  * Update d/plasma-mobile.install after upstream changes
  * Add qt6-declarative-private-dev to build-deps as workaround to #1087385
  * Remove plasma-mobile-tweaks conffiles dropped upstream

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 26 Nov 2024 20:40:10 +0100

plasma-mobile (5.27.10-1) unstable; urgency=medium

  * New upstream release (Closes: #1060264)

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 09 Jan 2024 21:16:34 +0100

plasma-mobile (5.27.9-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Drop open-source from short description in d/control (Closes: #1052401)
  * Assign flashes' control to users in the plugdev group

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 28 Oct 2023 23:28:10 +0200

plasma-mobile (5.27.8-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Use same d/upstream/signing-key.asc as other Plasma mobile packages

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Thu, 14 Sep 2023 19:31:22 +0200

plasma-mobile (5.27.6-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 15 Jul 2023 09:04:21 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog plasma-mobile`.
